Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229194 - CVE-2006-1174 shadow-utils mailbox creation race condition
Summary: CVE-2006-1174 shadow-utils mailbox creation race condition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard: source=cert,reported=20060512,public=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 14:04 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0431
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-11 17:52:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0431 normal SHIPPED_LIVE Low: shadow-utils security and bug fix update 2007-06-07 20:16:45 UTC

Description Mark J. Cox 2007-02-19 14:04:55 UTC
Clone for rhel3/2.1

+++ This bug was initially created as a clone of Bug #193053 +++

shadow-utils mailbox creation race condition

CERT reported an issue with the way shadow-utils' useradd program
creates the users mail spool file.  The file is intially created
improperly which gives it random permissions, owned by root for a
short period of time.  It may be possible for a local attacker to get
very lucky and acquire write permissions to a world writable SUID
file.

The upstream fix is here:
http://cvs.pld.org.pl/shadow/src/useradd.c?r1=1.50&r2=1.51

When we patch our packages, we may want to check the return value of
the the fchown and fchmod calls.



This issue also affects RHEL3
This issue also affects RHEL2.1

Comment 1 Peter Vrabec 2007-02-21 13:19:25 UTC
fixed in:
shadow-utils-4.0.3-28.RHEL3,
shadow-utils-20000902-19.

should I create errate for this?

Comment 4 Red Hat Bugzilla 2007-06-11 17:52:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0431.html


Comment 5 Josh Bressers 2007-09-06 17:59:46 UTC
This flaw has been rated as having a low severity by the Red Hat
Security Response Team.  More information about this rating can be
found here: http://www.redhat.com/security/updates/classification/

The risks associated with fixing this bug are greater than the low severity
security risk. We therefore currently have no plans to fix this flaw in Red
Hat Enterprise Linux 2.1 which is in maintenance mode.

If you believe this judgement to be in error, please reopen this bug
with an appropriate comment.



Note You need to log in before you can comment on or make changes to this bug.